Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(22)

Issue 880643002: Convex batch (Closed)

Created:
4 years, 10 months ago by joshua.litt
Modified:
4 years, 10 months ago
Reviewers:
joshualitt, bsalomon
CC:
reviews_skia.org
Base URL:
https://skia.googlesource.com/skia.git@hair_defer
Target Ref:
refs/heads/master
Project:
skia
Visibility:
Public.

Description

Patch Set 1 #

Patch Set 2 : cleaup #

Patch Set 3 : more cleanup #

Total comments: 1

Patch Set 4 : test #

Patch Set 5 : adding comment #

Total comments: 2

Patch Set 6 : feedback incorporated #

Patch Set 7 : feedback inc #

Patch Set 8 : cleaup #

Unified diffs Side-by-side diffs Delta from patch set Stats (+203 lines, -95 lines) Patch
M src/gpu/GrAAConvexPathRenderer.cpp View 1 2 3 4 5 6 7 7 chunks +203 lines, -95 lines 0 comments Download

Messages

Total messages: 19 (6 generated)
joshualitt
4 years, 10 months ago (2015-01-26 20:15:24 UTC) #3
joshualitt
On 2015/01/26 20:15:24, joshualitt wrote: ptal
4 years, 10 months ago (2015-02-02 14:55:42 UTC) #4
bsalomon
https://codereview.chromium.org/880643002/diff/40001/src/gpu/GrAAConvexPathRenderer.cpp File src/gpu/GrAAConvexPathRenderer.cpp (right): https://codereview.chromium.org/880643002/diff/40001/src/gpu/GrAAConvexPathRenderer.cpp#newcode894 src/gpu/GrAAConvexPathRenderer.cpp:894: // This outset was determined experimentally by running skps ...
4 years, 10 months ago (2015-02-03 18:09:41 UTC) #5
joshualitt
tighter bounding box + only using one gp
4 years, 10 months ago (2015-02-04 21:51:43 UTC) #6
bsalomon
https://codereview.chromium.org/880643002/diff/80001/src/gpu/GrAAConvexPathRenderer.cpp File src/gpu/GrAAConvexPathRenderer.cpp (right): https://codereview.chromium.org/880643002/diff/80001/src/gpu/GrAAConvexPathRenderer.cpp#newcode896 src/gpu/GrAAConvexPathRenderer.cpp:896: // This outset was determined experimentally by running skps ...
4 years, 10 months ago (2015-02-05 18:36:12 UTC) #7
joshualitt
On 2015/02/05 18:36:12, bsalomon wrote: > https://codereview.chromium.org/880643002/diff/80001/src/gpu/GrAAConvexPathRenderer.cpp > File src/gpu/GrAAConvexPathRenderer.cpp (right): > > https://codereview.chromium.org/880643002/diff/80001/src/gpu/GrAAConvexPathRenderer.cpp#newcode896 > ...
4 years, 10 months ago (2015-02-05 19:42:06 UTC) #8
bsalomon
https://codereview.chromium.org/880643002/diff/80001/src/gpu/GrAAConvexPathRenderer.cpp File src/gpu/GrAAConvexPathRenderer.cpp (right): https://codereview.chromium.org/880643002/diff/80001/src/gpu/GrAAConvexPathRenderer.cpp#newcode816 src/gpu/GrAAConvexPathRenderer.cpp:816: // Check devBounds I didn't mean to eliminate the ...
4 years, 10 months ago (2015-02-05 19:51:33 UTC) #9
joshualitt
On 2015/02/05 19:51:33, bsalomon wrote: > https://codereview.chromium.org/880643002/diff/80001/src/gpu/GrAAConvexPathRenderer.cpp > File src/gpu/GrAAConvexPathRenderer.cpp (right): > > https://codereview.chromium.org/880643002/diff/80001/src/gpu/GrAAConvexPathRenderer.cpp#newcode816 > ...
4 years, 10 months ago (2015-02-05 19:58:39 UTC) #10
bsalomon
If the assert still passes, lgtm
4 years, 10 months ago (2015-02-05 19:59:41 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/880643002/120001
4 years, 10 months ago (2015-02-05 20:29:08 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: Build-Ubuntu13.10-Clang-x86_64-Debug-Trybot on client.skia.compile (http://build.chromium.org/p/client.skia.compile/builders/Build-Ubuntu13.10-Clang-x86_64-Debug-Trybot/builds/1904)
4 years, 10 months ago (2015-02-05 20:30:30 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/880643002/140001
4 years, 10 months ago (2015-02-05 22:33:40 UTC) #18
commit-bot: I haz the power
4 years, 10 months ago (2015-02-05 22:39:05 UTC) #19
Message was sent while issue was closed.
Committed patchset #8 (id:140001) as
https://skia.googlesource.com/skia/+/27f398f04dff306418a142c27175eaa35d21a915

Powered by Google App Engine
This is Rietveld 408576698